#include <bits/stdc++.h>
using namespace std;

#define speed ios::sync_with_stdio(false), cin.tie(0), cout.tie(0);

int main(){
	speed;
	int n,m,cnt1=0;
	cin>>n>>m;vector <int> a(m);int b[m];
	fill(b,b+m,0);
	for(int i=0; i<m;i++){
		cin>>a[i];
	}
	for(int i=0; i<m; i++){
		int cnt=1;
		for(int j=i+1; j<m;j++){
			if(a[i]==a[j]){cnt++;
			a[j]=0;
			}
		}
		if(cnt>=n){
			b[i]=a[i];
			if(a[i]!=0)
			cnt1++;
		}
	}
	cout<<cnt1++<<endl;
	for(int i=0; i<m; i++){
		if(b[i]!=0)
		cout<<b[i]<<" ";
	}
}
